summaryrefslogtreecommitdiffstats
path: root/builder
diff options
context:
space:
mode:
authortorben2015-11-19 17:51:19 +0100
committertorben2015-11-19 17:51:19 +0100
commit0d680be04c91dde80fde32b27efd919609827133 (patch)
tree4e081c1656897d1646327c0a337c52952b5a6dd6 /builder
parentMerge branch 'master' of git.openslx.org:openslx-ng/systemd-init (diff)
downloadsystemd-init-0d680be04c91dde80fde32b27efd919609827133.tar.gz
systemd-init-0d680be04c91dde80fde32b27efd919609827133.tar.xz
systemd-init-0d680be04c91dde80fde32b27efd919609827133.zip
Fix kcl parameter for local testing.
Diffstat (limited to 'builder')
-rwxr-xr-xbuilder/dnbd3-rootfs/hooks/cmdline/prepare-kernel-command-line-parameter.sh8
-rwxr-xr-xbuilder/dnbd3-rootfs/hooks/pre-mount/fetch-config.sh2
2 files changed, 5 insertions, 5 deletions
diff --git a/builder/dnbd3-rootfs/hooks/cmdline/prepare-kernel-command-line-parameter.sh b/builder/dnbd3-rootfs/hooks/cmdline/prepare-kernel-command-line-parameter.sh
index 5f62a8cd..505cc4c6 100755
--- a/builder/dnbd3-rootfs/hooks/cmdline/prepare-kernel-command-line-parameter.sh
+++ b/builder/dnbd3-rootfs/hooks/cmdline/prepare-kernel-command-line-parameter.sh
@@ -1,9 +1,9 @@
command -v warn &> /dev/null || . /lib/dracut-lib.sh
-set -e
+## TODO check set -e
# This location will be used to have a writable kernel command line file
# location.
-local writeable_proc_cmdline_path='/writable_proc_cmdline/'
+writeable_proc_cmdline_path='/writable_proc_cmdline/'
mkdir --parents "$writeable_proc_cmdline_path"
# NOTE: The fake writeable overlay have to be a temporary filesystem for the
# hack to work.
@@ -29,7 +29,7 @@ for parameter in $(getargs ip=); do
/proc/cmdline > "${writeable_proc_cmdline_path}cmdline"
done
-mount --options bind /fake/cmdline /proc/cmdline
+mount --options bind "${writeable_proc_cmdline_path}cmdline" /proc/cmdline
for parameter in $(getargs slxsrv=); do
slxsrv="$parameter"
@@ -38,4 +38,4 @@ for parameter in $(getargs slxbase=); do
slxbase="$parameter"
done
-set +e
+##set +e
diff --git a/builder/dnbd3-rootfs/hooks/pre-mount/fetch-config.sh b/builder/dnbd3-rootfs/hooks/pre-mount/fetch-config.sh
index e0987711..310aba51 100755
--- a/builder/dnbd3-rootfs/hooks/pre-mount/fetch-config.sh
+++ b/builder/dnbd3-rootfs/hooks/pre-mount/fetch-config.sh
@@ -23,7 +23,7 @@ mkdir -p "${SLX_CONFIG_DIR}" && \
wget --timeout 5 --quiet "http://${SLX_SERVER}/${SLX_BASE}/config" \
--output-document "${SLX_CONFIG_FILE}" && \
return_code="$?"
-if [ $result -ne 0 ]; then
+if [[ $return_code != 0 ]]; then
warn "Downloading OpenSLX configuration from ${SLX_SERVER}/${SLX_BASE} failed. Return code: $return_code"
emergency_shell -n "$0"
return 1